package com.yinet.bjtj.domain;

import com.yinet.common.annotation.Excel;
import com.yinet.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 办件统计对象 form_bjtj
 *
 * @author yinet
 * @date 2020-04-02
 */
public class FormBjtj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 办件日期 */
    @Excel(name = "办件日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tbdate;

    /** 办件数量 */
    @Excel(name = "办件数量")
    private Long tbcount;

    /** 添加时间 */
    @Excel(name = "添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date addtime;

    /** 添加人 */
    @Excel(name = "添加人")
    private String adduser;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTbdate(Date tbdate)
    {
        this.tbdate = tbdate;
    }

    public Date getTbdate()
    {
        return tbdate;
    }
    public void setTbcount(Long tbcount)
    {
        this.tbcount = tbcount;
    }

    public Long getTbcount()
    {
        return tbcount;
    }
    public void setAddtime(Date addtime)
    {
        this.addtime = addtime;
    }

    public Date getAddtime()
    {
        return addtime;
    }
    public void setAdduser(String adduser)
    {
        this.adduser = adduser;
    }

    public String getAdduser()
    {
        return adduser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("tbdate", getTbdate())
                .append("tbcount", getTbcount())
                .append("addtime", getAddtime())
                .append("adduser", getAdduser())
                .toString();
    }
}
